/*



*/
#ifndef		_C2_PORT_H
#define		_C2_PORT_H

#include	<intrins.h>
#include	"AT89X52.H"
#include	"UART.h"

//#define  C2CK				P1_6
//#define  C2D				P1_7
#define  P17				7

#define  LOW               0
#define  HIGH              1
// C2״̬
#define  INVALID_COMMAND   0x00
#define  COMMAND_FAILED    0x02
#define  COMMAND_OK        0x0D
// C2ӿ
#define  GET_VERSION       0x01
// FLASH 
#define  BLOCK_READ        0x06
#define  BLOCK_WRITE       0x07
#define  PAGE_ERASE        0x08
#define  DEVICE_ERASE      0x03
// C2 Ĵ
#define  FPDAT             0xB4
#define  FPCTL             0x02
#define  DEVICEID          0x00
#define  REVID             0x01

#define  Poll_OutReady_01     while(!(C2_ReadAR()&0x01)) 	//1 = FPDATĴֵɶ0=ɶFPDAT֮ǰжϣ
#define  Poll_InBusy_01       while((C2_ReadAR()&0x02)) 	//1 = æ;0 = УдFPDAT֮жϣ
#define  Poll_OutReady     	_nop_();C2_ReadAR();_nop_() 	//ֻж
#define  Poll_InBusy       	_nop_();C2_ReadAR();_nop_() 	//ֻж

#define  StrobeC2CK        	C2CK = LOW;_nop_();_nop_();_nop_();_nop_();_nop_();_nop_();_nop_();_nop_();_nop_();_nop_();C2CK = HIGH;_nop_();_nop_();_nop_();_nop_()	//C2CK һһ
	
#define  C2D_DriverOn      	_nop_()							//  C2D Ϊ
#define  C2D_DriverOff     	_nop_();P1 |= (0x01 << P17)		//  C2D Ϊ

//uart.c
extern		void UART_Initail(void);
extern		char UART_GetChar(unsigned char *pDat);
extern		char UART_OutputChar(unsigned char dat);
//C2ӵģַʱص״̬
#define		WR_ACK		2
#define		WR_REQ		3
#define		RD_ACK		4
#define		RD_REQ		5
//C2 ӵļĴ
#define		C2CTRL		0x03
#define		C2_MCU		0
#define		TEST		1
#define		SOFT_RST	2
#define		BREAK_ON	7//read only

#endif
